BeagleResource(3)

NAME
BeagleResource - Description of a hardware resource.

SYNOPSIS

#include <beagle.h>

  Public Attributes

char * name
char * description
long supportFlags
long requiredFlags

Detailed Description

Description of a hardware resource.

Member Data Documentation

  char* BeagleResource::description
Description of resource as a NULL-terminated character string

  char* BeagleResource::name
Name of resource as a NULL-terminated character string

  long BeagleResource::requiredFlags
Bit-flags that identify resource type

  long BeagleResource::supportFlags
Bit-flags of supported capabilities on resource

Author

Generated automatically by Doxygen for BEAGLE from the source code.